## gbs 0.25.18

=== Makefile ===
VERSION = $(shell sed -ne 's/__version__\s*=\s*[\x22\x27]\([^\x22\x27]\+\)[\x22\x27].*/\1/p ' gitbuildsys/__init__.py)
TAGVER = $(shell echo $(VERSION) | sed -e "s/\([0-9\.]*\).*/\1/")
PKGNAME = gbs

ifeq ($(VERSION), $(TAGVER))
	TAG = $(TAGVER)
else
	TAG = "HEAD"
endif
TAG="HEAD"
ifndef PREFIX
    PREFIX = "/usr/local"
endif

all:
	python setup.py build
	cd bsr && python setup.py build && cd ..

tag:
	git tag $(VERSION)

dist-common: man
	git archive --format=tar --prefix=$(PKGNAME)-$(TAGVER)/ $(TAG) | tar xpf -
	git show $(TAG) --oneline | head -1 > $(PKGNAME)-$(TAGVER)/commit-id
	mkdir $(PKGNAME)-$(TAGVER)/doc; mv gbs.1 $(PKGNAME)-$(TAGVER)/doc

dist-bz2: dist-common
	tar jcpf $(PKGNAME)-$(TAGVER).tar.bz2 $(PKGNAME)-$(TAGVER)
	rm -rf $(PKGNAME)-$(TAGVER)

dist-gz: dist-common
	tar zcpf $(PKGNAME)-$(TAGVER).tar.gz $(PKGNAME)-$(TAGVER)
	rm -rf $(PKGNAME)-$(TAGVER)

man:
	rst2man docs/GBS.rst >docs/gbs.1

html:
	rst2html docs/GBS.rst >docs/gbs.html

pdf:
	rst2pdf docs/GBS.rst -o docs/gbs.pdf

docs: man html pdf

install: all
	python setup.py install --prefix=${PREFIX}
	cd bsr && python setup.py install --install-scripts=/usr/local/bin --prefix=/usr/local && cd ..

clean:
	rm -rf {build/,dist/,*.egg-info/}
	cd bsr && rm -rf {build/,dist/,*.egg-info/} && cd ..
test:
	nosetests -v --with-coverage --with-xunit

=== bsr/requirements.txt ===
astroid==2.4.2
certifi==2020.12.5
chardet==3.0.4
coverage==5.5
idna==2.10
isort==5.6.4
lazy-object-proxy==1.4.3
mccabe==0.6.1
pylint==2.6.0
requests==2.24.0
six==1.15.0
toml==0.10.2
typed-ast==1.4.2
urllib3==1.25.11
wheel==0.36.2
wrapt==1.12.1

=== debian/changelog ===
gbs (0.25.18) unstable; urgency=high
  * upgrade to gbs v0.25.18, which contains the following features:
     * New feature and enhancements added:
      - New feature: Build Profiling.
      - Fix pylint error: Reimport 're'.
      - Fix pylint error issue for bsr directory.
      - New feature: add --submodules option to support build with submodule.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 14 May 2021 12:30:00 +0800

gbs (0.25.17) unstable; urgency=high
  * upgrade to gbs v0.25.17, which contains the following features:
     * New feature and enhancements added:
      - Fix gbs full build error: binary not found.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 05 Feb 2021 12:30:00 +0800

gbs (0.25.16) unstable; urgency=high
  * upgrade to gbs v0.25.16, which contains the following features:
     * New feature and enhancements added:
      - Add arguments, --preordered-list and --local-only

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 05 Feb 2021 12:30:00 +0800

gbs (0.25.15) unstable; urgency=high
  * upgrade to gbs v0.25.15, which contains the following features:
    * New feature and enhancements added:
      - update tizen version to tizen20201203
      - Support zstd decompression for old rpm version
      - Support zstd arch for tar
      - Add exception check when generating xml file
    * Bug fix:
      - Fix build failed when gbs full build
 -- Jiankang Fan <jiankang.fan@samsung.com>  Thu, 3 Dec 2020 10:00:00 +0800

gbs (0.25.14) unstable; urgency=high
  * upgrade to gbs v0.25.14, which contains the following features:
     * New feature and enhancements added:
      - Improve gbs coverage ratio.
      - Remove build dependence with python-support.
      - Support gen depends of exported sources.
      - Add --tarfile option for gbs depends subcommand to generate tar xml file

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 05 Nov 2020 12:30:00 +0800

gbs (0.25.13) unstable; urgency=high
  * upgrade to gbs v0.25.13, which contains the following features:
    * Bug fix:
      - Fix reorder error when gbs quickbuild.
     * New feature and enhancements added:
      - Refine code with SAM tools check.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 21 Jul 2020 12:30:00 +0800

gbs (0.25.12) unstable; urgency=high
  * upgrade to gbs v0.25.12, which contains the following bug fixing & features:
    * update dependencies:
      - depanneur >= 0.16.7
      - tizen-qemu-arm-static >= 2020.06.17
      - git-buildpackage-rpm >= 0.9.20-tizen20200522
 -- Meng Yan <yan11.meng@samsung.com>  Thu, 18 Jun 2020 12:30:00 +0800

gbs (0.25.11) unstable; urgency=high
  * upgrade to gbs v0.25.11, which contains the following features:
    * Bug fix:
      - Remove --replacefile option in build-pkg-rpm
      - Fix errors about check_circle in depanneur
      - Fix gbs build error about path with'[]'
 -- Meng Yan <yan11.meng@samsung.com>  Thu, 7 May 2020 12:30:00 +0800

gbs (0.25.10) unstable; urgency=high
  * upgrade to gbs v0.25.10, which contains the following features:
    * Bug fix:
      - Fix pylint issue for gbs
 -- Meng Yan <yan11.meng@samsung.com>  Mon, 17 Feb 2020 12:30:00 +0800

gbs (0.25.9) unstable; urgency=high
  * upgrade to gbs v0.25.9, which contains the following features:
      - Add --export-only feature
 -- Wang Biao <biao716.wang@samsung.com>  Fri, 30 Aug 2019 12:30:00 +0800

gbs (0.25.8) unstable; urgency=high
  * upgrade to gbs v0.25.8, which contains the following features:
    * New feature and enhancements added:
      - Support new platform Ubuntu 18.04
      - Upgrade osc version to 0.162.2
      - Upgrade git-buildpackage version to 0.9.9
      - Change 'struct ucontent' to 'ucontent_t' in qemu-arm-static
 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 15 Feb 2019 12:30:00 +0800

gbs (0.25.7) unstable; urgency=high
  * upgrade to gbs v0.25.7, which contains the following features:
    * New feature and enhancements added:
      - Optimize package dependence analyse
      - Optimize circular dependency check
 -- Ren Jingui <jingui.ren@samsung.com>  Wed, 14 Nov 2018 12:30:00 +0800

gbs (0.25.6) unstable; urgency=high
  * upgrade to gbs v0.25.6, which contains the following features:
    * New feature and enhancements added:
      - Speed up the download packages when use https
 -- Ren Jingui <jingui.ren@samsung.com>  Wed, 31 Oct 2018 12:30:00 +0800

gbs (0.25.5) unstable; urgency=high
  * upgrade to gbs v0.25.5, which contains the following features:
    * Bug fix:
      - Fix file conflicts when package install
 -- Ren Jingui <jingui.ren@samsung.com>  Thu, 27 Sep 2018 12:30:00 +0800

gbs (0.25.4) unstable; urgency=high
  * upgrade to gbs v0.25.4, which contains the following features:
    * Bug fix:
      - Fix build error on x86_64 with expand error
      - Fix bugs of perl tempdir function call
      - Remove mount info check after build finished
    * New feature and enhancements added:
      - Add --style=tar feature, which can build with gbs export source
 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 31 Aug 2018 12:30:00 +0800

gbs (0.25.3) unstable; urgency=high
  * upgrade to gbs v0.25.3, which contains the following features:
    * Bug fix:
      - Fix deb package build error
      - Remove chroot memory limit on x86_64
    * New feature and enhancements added:
      - Optimize gbs export process
 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 3 Aug 2018 12:30:00 +0800

gbs (0.25.2) unstable; urgency=high
  * upgrade to gbs v0.25.2, which contains the following features:
    * bug fix:
      - Fix umount directories inside build root after build is finished
 -- Ren Jingui <jingui.ren@samsung.com>  Fri, 11 May 2018 12:30:00 +0800

gbs (0.25.1) unstable; urgency=high
  * upgrade to gbs v0.25.1, which contains the following features:
    * bug fix:
      - Fix bugs when linux usernames including backslash
      - Fix bugs the instance of ConfigMgr class can not access get_optional_item method
        in get function


=== debian/control ===
Source: gbs
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper, python (>= 2.6), python-docutils, python-setuptools
Standards-Version: 3.8.0
X-Python-Version: >= 2.6
Homepage: http://www.tizen.org

Package: gbs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-pycurl,
 python-requests,
 python-lxml,
 sudo,
 osc (>= 0.132.6),
 git-buildpackage-rpm (>= 0.9.21-tizen20210514),
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 gbs-remotebuild (= ${binary:Version}),
 gbs-bsr (= ${binary:Version}),
 depanneur (>= 0.16.11)
Recommends: librpm-tizen (>= 4.11.0.1.tizen20130618-tizen20131001)
Description: Command line tools for Tizen package developers
 The command line tools for Tizen package developers will
 be used to do packaging related tasks.

Package: gbs-api
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-pycurl,
 osc (>= 0.132.6),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.15)
Replaces: gbs (<< 0.15)
Description: GBS API
 This package contains gbs APIs, which can be used by
 external software.

Package: gbs-export
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 gbs-api (= ${binary:Version}),
 pristine-tar (>= 1.35-tizen20161231),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.15)
Replaces: gbs (<< 0.15)
Description: GBS export API
 This package contains gbs export APIs, which can be used by
 external software.

Package: gbs-remotebuild
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.18.1)
Replaces: gbs (<< 0.18.1)
Description: GBS remotebuild API
 This package contains gbs remotebuild APIs, which can be used by
 external software.

Package: gbs-jenkins-jobs
Architecture: all
Depends: ${misc:Depends},
Description: GBS local full build jenkins jobs configurations.
 These jenkins jobs are used to build tizen source from scratch or only a part of packages, and create images finally.

Package: gbs-jenkins-scripts
Architecture: all
Depends: ${misc:Depends},
 gbs,
 mic,
Description: Jenkins scripts used by gbs-jenkins-job
 These scripts are used by GBS local full build jenkins jobs. These scripts should be installed on Jenkins slave nodes.

Package: gbs-bsr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-psutil
Description: GBS build monitirong scripts
 This package monitors the build status and generates report using the relevant data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	python setup.py install --root=debian/tmp --prefix=/usr
	make man
	cd bsr && python setup.py install --install-scripts=/usr/local/bin --root=../debian/tmp --prefix=/usr/local && cd ..
	mkdir -p debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/gbs
	install -m644 docs/gbs.1 debian/tmp/usr/share/man/man1
	install -m644 data/initrd debian/tmp/usr/share/gbs
	install -m644 data/vmlinuz debian/tmp/usr/share/gbs
	install -m644 data/mapping.conf debian/tmp/usr/share/gbs
	for job_name in $(shell ls jenkins-jobs/configs); do \
		mkdir -p debian/tmp/var/lib/jenkins/jobs/$$job_name; \
		install -m644 jenkins-jobs/configs/$$job_name/config.xml debian/tmp/var/lib/jenkins/jobs/$$job_name; \
	done
	mkdir -p debian/tmp/var/lib/jenkins/jenkins-scripts
	install -m755 jenkins-jobs/scripts/* debian/tmp/var/lib/jenkins/jenkins-scripts

override_dh_auto_test:
	@echo 'Skipping autotests'

override_dh_usrlocal:

## gbs 0.25.30

=== debian/changelog ===
gbs (0.25.30) unstable; urgency=high
  * upgrade to gbs v0.25.30, which contains the following features:
     * New feature and enhancements added:
     * hide credentials information in logs.
     * ignore non-existance of qemu binfmt file.
     * revert to generate reverse dependency.

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 10 May 2023 12:30:00 +0800

gbs (0.25.29) unstable; urgency=high
  * upgrade to gbs v0.25.29, which contains the following features:
     * New feature and enhancements added:
     * Install bsr into default location.

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 29 Mar 2023 12:30:00 +0800

gbs (0.25.28) unstable; urgency=high
  * upgrade to gbs v0.25.28, which contains the following features:
     * New feature and enhancements added:
     * Fix issue: chromium-efl package build failure on Tizen 5.5.

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 01 Mar 2023 12:30:00 +0800

gbs (0.25.27) unstable; urgency=high
  * upgrade to gbs v0.25.27, which contains the following features:
     * New feature and enhancements added:
      - Add new option: --nocumulate, it can allow build without cumulative build.
      - Update reference url for gbs export error message.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 12 Jan 2023 12:30:00 +0800

gbs (0.25.26) unstable; urgency=high
  * upgrade to gbs v0.25.26, which contains the following features:
     * New feature and enhancements added:
      - Ignore reorder packages list during cumulative build.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 06 Dec 2022 12:30:00 +0800

gbs (0.25.25) unstable; urgency=high
  * upgrade to gbs v0.25.25, which contains the following features:
     * New feature and enhancements added:
      - Always retry 3 times to download if download fail.
      - Add logic to re-downloading packages in reorder step if some packages is missed!
      - Fix build crash issue in  gbs export in obs-server-gbs
      - Add --release option.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 20 Sep 2022 12:30:00 +0800

gbs (0.25.24) unstable; urgency=high
  * upgrade to gbs v0.25.24, which contains the following features:
     * New feature and enhancements added:
      - Fix Build error dlog aarch64.
      - Upgraded depanneur version to 0.16.17

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 05 Jul 2022 12:30:00 +0800

gbs (0.25.23) unstable; urgency=high
  * upgrade to gbs v0.25.23, which contains the following features:
     * New feature and enhancements added:
      - Fix umount abnormal issue in Ubuntu 20.04.
      - Upgraded depanneur version to 0.16.16

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 27 Apr 2022 12:30:00 +0800

gbs (0.25.22) unstable; urgency=high
  * upgrade to gbs v0.25.22, which contains the following features:
     * New feature and enhancements added:
      - Fix build error with --incremental option.
      - Upgraded depanneur version to 0.16.15

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 05 Jan 2022 12:30:00 +0800

gbs (0.25.21) unstable; urgency=high
  * upgrade to gbs v0.25.21, which contains the following features:
     * New feature and enhancements added:
      - Rollback mis-commited changes.
      - Profiling - Do not save log files.
      - Fix VMInstall package is not installed.
      - Fix kvm support in Ubuntu.
      - Use the defalut uid:gid in /usr/bin/build.
      - Append extra sub packages after build finished.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 03 Sep 2021 12:30:00 +0800

gbs (0.25.20) unstable; urgency=high
  * upgrade to gbs v0.25.20, which contains the following features:
     * New feature and enhancements added:
      - add --pkg-ccache option

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 13 Jul 2021 12:30:00 +0800

gbs (0.25.19) unstable; urgency=high
  * upgrade to gbs v0.25.19, which contains the following features:
     * New feature and enhancements added:
      - New feature: BSR: Support memory profiling.

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 2 Jun 2021 12:30:00 +0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  gbs-export (= ${binary:Version}),
  gbs-remotebuild (= ${binary:Version}),
  gbs-bsr (= ${binary:Version}),
- depanneur (>= 0.16.11)
+ depanneur (>= 0.16.22)
 Recommends: librpm-tizen (>= 4.11.0.1.tizen20130618-tizen20131001)
 Description: Command line tools for Tizen package developers
  The command line tools for Tizen package developers will
@@ -79,6 +79,7 @@
 Package: gbs-bsr
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python-psutil
+ python-psutil,
+ python-yaml
 Description: GBS build monitirong scripts
  This package monitors the build status and generates report using the relevant data.

## gbs 0.26.1

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 endif
 
 all:
-	python setup.py build
-	cd bsr && python setup.py build && cd ..
+	python3 setup.py build
+	cd bsr && python3 setup.py build && cd ..
 
 tag:
 	git tag $(VERSION)
@@ -44,8 +44,8 @@
 docs: man html pdf
 
 install: all
-	python setup.py install --prefix=${PREFIX}
-	cd bsr && python setup.py install --install-scripts=/usr/local/bin --prefix=/usr/local && cd ..
+	python3 setup.py install --prefix=${PREFIX}
+	cd bsr && python3 setup.py install --prefix=${PREFIX} && cd ..
 
 clean:
 	rm -rf {build/,dist/,*.egg-info/}

=== debian/changelog ===
gbs (0.26.1) unstable; urgency=high
  * upgrade to gbs v0.26.1, which contains the following features:
     * New feature and enhancements added:
     * Add support for ubuntu 22.04.
     * Port code from python2.x to python3.x version.
     * Fix some bugs during gbs run time.

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 01 Nov 2023 14:30:00 +0800

=== debian/control ===
Source: gbs
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper, dh-python, python3, python3-docutils, python3-setuptools, python3-distro
Standards-Version: 3.8.0
X-Python-Version: >= 3.0
Homepage: http://www.tizen.org

Package: gbs
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pycurl,
 python3-requests,
 python3-lxml,
 sudo,
 osc (>= 0.170.1),
 git-buildpackage-rpm (>= 0.9.27-tizen20231101),
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 gbs-remotebuild (= ${binary:Version}),
 gbs-bsr (= ${binary:Version}),
 depanneur (>= 0.16.23)
Recommends: librpm-tizen (>= 4.11.0.1.tizen20140530-tizen20231101)
Description: Command line tools for Tizen package developers
 The command line tools for Tizen package developers will
 be used to do packaging related tasks.

Package: gbs-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pycurl,
 osc (>= 0.170.1),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.25.29)
Replaces: gbs (<< 0.25.29)
Description: GBS API
 This package contains gbs APIs, which can be used by
 external software.

Package: gbs-export
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 gbs-api (= ${binary:Version}),
 pristine-tar (>= 1.35-tizen20161231),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.25.29)
Replaces: gbs (<< 0.25.29)
Description: GBS export API
 This package contains gbs export APIs, which can be used by
 external software.

Package: gbs-remotebuild
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.25.29)
Replaces: gbs (<< 0.25.29)
Description: GBS remotebuild API
 This package contains gbs remotebuild APIs, which can be used by
 external software.

Package: gbs-jenkins-jobs
Architecture: all
Depends: ${misc:Depends},
Description: GBS local full build jenkins jobs configurations.
 These jenkins jobs are used to build tizen source from scratch or only a part of packages, and create images finally.

Package: gbs-jenkins-scripts
Architecture: all
Depends: ${misc:Depends},
 gbs,
 mic,
Description: Jenkins scripts used by gbs-jenkins-job
 These scripts are used by GBS local full build jenkins jobs. These scripts should be installed on Jenkins slave nodes.

Package: gbs-bsr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-psutil,
 python3-yaml
Description: GBS build monitirong scripts
 This package monitors the build status and generates report using the relevant data.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
-	python setup.py install --root=debian/tmp --prefix=/usr
+	python3 setup.py install --root=debian/tmp --prefix=/usr
 	make man
-	cd bsr && python setup.py install --install-scripts=/usr/local/bin --root=../debian/tmp --prefix=/usr/local && cd ..
+	cd bsr && python3 setup.py install --root=../debian/tmp --prefix=/usr && cd ..
 	mkdir -p debian/tmp/usr/share/man/man1
 	mkdir -p debian/tmp/usr/share/gbs
 	install -m644 docs/gbs.1 debian/tmp/usr/share/man/man1

## gbs 0.27.3

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 endif
 
 all:
-	python3 setup.py build
-	cd bsr && python3 setup.py build && cd ..
+	python setup.py build
+	cd bsr && python setup.py build && cd ..
 
 tag:
 	git tag $(VERSION)
@@ -44,8 +44,8 @@
 docs: man html pdf
 
 install: all
-	python3 setup.py install --prefix=${PREFIX}
-	cd bsr && python3 setup.py install --prefix=${PREFIX} && cd ..
+	python setup.py install --prefix=${PREFIX}
+	cd bsr && python setup.py install --prefix=${PREFIX} && cd ..
 
 clean:
 	rm -rf {build/,dist/,*.egg-info/}

=== bsr/requirements.txt ===
--- 
+++ 
@@ -7,10 +7,12 @@
 lazy-object-proxy==1.4.3
 mccabe==0.6.1
 pylint==2.6.0
+PyYAML==5.4.1
 requests==2.24.0
 six==1.15.0
 toml==0.10.2
 typed-ast==1.4.2
+unittest-xml-reporting==3.0.4
 urllib3==1.25.11
 wheel==0.36.2
 wrapt==1.12.1

=== debian/changelog ===
gbs (0.27.3) unstable; urgency=high
  * upgrade to gbs v0.27.3, which contains the following features:
     * Bug fix:
      - Fix regex to support alpha-numeric release version in .spec

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 27 Aug 2025 18:30:00 +0600

gbs (0.27.2) unstable; urgency=high
  * upgrade to gbs v0.27.2, which contains the following features:
     * New feature and enhancements added:
      - Add arguments '--failures-to-rebuild' and '--rebuild-count' to support rebuild when build fails.
      - Fix the failed test cases which caused by gbs upgrade.

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 12:50:00 +0600

gbs (0.27.1) unstable; urgency=high
  * upgrade to gbs v0.27.1, which contains the following features:
     * New feature and enhancements added:
      - Merge branch 'sandbox/xuwc/devel-riscv-py2' into devel-py2.

 -- Xu Huayong <huayong.xu@samsung.com>  Thu, 18 Apr 2024 16:44:00 +0800

=== debian/control ===
Source: gbs
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper, python (>= 2.6), python-docutils, python-setuptools
Standards-Version: 3.8.0
X-Python-Version: >= 2.6
Homepage: http://www.tizen.org

Package: gbs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-pycurl,
 python-requests,
 python-lxml,
 sudo,
 osc (>= 0.132.6),
 git-buildpackage-rpm (>= 0.9.21-tizen20210514),
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 gbs-remotebuild (= ${binary:Version}),
 gbs-bsr (= ${binary:Version}),
 depanneur (>= 0.16.25),
 librpm-tizen (>= 4.11.0.1.tizen20140530-tizen20140723)
Description: Command line tools for Tizen package developers
 The command line tools for Tizen package developers will
 be used to do packaging related tasks.

Package: gbs-api
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-pycurl,
 osc (>= 0.132.6),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.27.3)
Replaces: gbs (<< 0.27.3)
Description: GBS API
 This package contains gbs APIs, which can be used by
 external software.

Package: gbs-export
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 gbs-api (= ${binary:Version}),
 pristine-tar (>= 1.35-tizen20161231),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.27.3)
Replaces: gbs (<< 0.27.3)
Description: GBS export API
 This package contains gbs export APIs, which can be used by
 external software.

Package: gbs-remotebuild
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 git-buildpackage-rpm
Conflicts: gbs (<< 0.27.3)
Replaces: gbs (<< 0.27.3)
Description: GBS remotebuild API
 This package contains gbs remotebuild APIs, which can be used by
 external software.

Package: gbs-jenkins-jobs
Architecture: all
Depends: ${misc:Depends},
Description: GBS local full build jenkins jobs configurations.
 These jenkins jobs are used to build tizen source from scratch or only a part of packages, and create images finally.

Package: gbs-jenkins-scripts
Architecture: all
Depends: ${misc:Depends},
 gbs,
 mic,
Description: Jenkins scripts used by gbs-jenkins-job
 These scripts are used by GBS local full build jenkins jobs. These scripts should be installed on Jenkins slave nodes.

Package: gbs-bsr
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-psutil,
 python-yaml
Description: GBS build monitirong scripts
 This package monitors the build status and generates report using the relevant data.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@
 
 override_dh_auto_install:
-	python3 setup.py install --root=debian/tmp --prefix=/usr
+	python setup.py install --root=debian/tmp --prefix=/usr
 	make man
-	cd bsr && python3 setup.py install --root=../debian/tmp --prefix=/usr && cd ..
+	cd bsr && python setup.py install --root=../debian/tmp --prefix=/usr && cd ..
 	mkdir -p debian/tmp/usr/share/man/man1
 	mkdir -p debian/tmp/usr/share/gbs
 	install -m644 docs/gbs.1 debian/tmp/usr/share/man/man1

## gbs 1.0

=== DESCRIPTION ===
Package: gbs
Type: Package
Title: Package for Generalized Birnbaum-Saunders Distributions
Version: 1.0
Date: 2008-05-05
Encoding: latin1
Author: Michelli Barros <michelli.karinne@gmail.com>, Victor Leiva
        <victor.leiva@uv.cl, victor.leiva@yahoo.com> and Gilberto A.
        Paula <giapaula@ime.usp.br>
Maintainer: Victor Leiva <victor.leiva@uv.cl>
Depends: R (>= 1.8.0), nlme
Description: A collection of utilities for analyzing censored and
        uncensored data from generalized Birnbaum-Saunders
        distributions
License: GPL
URL: http://www.r-project.org, http://www.deuv.cl/leiva/
Packaged: 2012-10-29 08:58:48 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:48

## gbs 2.0.1

=== debian/changelog ===
gbs (2.0.1) unstable; urgency=high
  * upgrade to gbs v2.0.1, which contains the following features:
     * New feature and enhancements added:
     * Add support for ubuntu 22.04.
     * Port code from python2.x to python3.x version.
     * Fix some bugs during gbs run time.

 -- Biao Wang <biao716.wang@samsung.com>  Mon, 29 Jan 2024 13:30:00 +0800

## gbs 2.0.5

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,6 @@
 ifndef PREFIX
     PREFIX = "/usr/local"
 endif
-
-all:
-	python setup.py build
-	cd bsr && python setup.py build && cd ..
 
 tag:
 	git tag $(VERSION)
@@ -43,12 +39,10 @@
 
 docs: man html pdf
 
-install: all
-	python setup.py install --prefix=${PREFIX}
-	cd bsr && python setup.py install --prefix=${PREFIX} && cd ..
-
 clean:
 	rm -rf {build/,dist/,*.egg-info/}
 	cd bsr && rm -rf {build/,dist/,*.egg-info/} && cd ..
+
 test:
 	nosetests -v --with-coverage --with-xunit
+

=== tests/testdata/bluez_unpacked/Makefile ===
PKG_NAME := bluez
SPECFILE = $(addsuffix .spec, $(PKG_NAME))
YAMLFILE = $(addsuffix .yaml, $(PKG_NAME))

include /usr/share/packaging-tools/Makefile.common

=== debian/changelog ===
gbs (2.0.5) unstable; urgency=high
  * upgrade to gbs v2.0.5, which contains the following features:
     * Bug fix:
      - Fix regex to support alpha-numeric release version in .spec

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 27 Aug 2025 18:30:00 +0600

gbs (2.0.4) unstable; urgency=high
  * upgrade to gbs v2.0.4, which contains the following features:
     * New feature and enhancements added:
      - Add arguments '--failures-to-rebuild' and '--rebuild-count' to support rebuild when build fails
      - require the latest version of osc

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 10:40:00 +0600

gbs (2.0.3) unstable; urgency=high
  * upgrade to gbs v2.0.3, which contains the following features:
     * New feature and enhancements added:
      - Fix build errors on Ubuntu 24.04.
      - Fix the issue that M2Crypto module is not found on opensuse 15.5.
      - Ignore the pylint warning of unbalanced-tuple-unpacking in utils script
      - Fix the failed test cases which caused by gbs upgrade.

 -- Huayong Xu <huayong.xu@samsung.com> Mon, 22 Jul 2024 14:30:00 +0800

gbs (2.0.2) unstable; urgency=high
  * upgrade to gbs v2.0.2, which contains the following features:
     * New feature and enhancements added:
       * Fix run error: xml.etree.ElementTree.Element' object has
         no attribute getchildren.
       * Remove unnecssary file: test-requires

 -- Huayong Xu <huayong.xu@samsung.com>  Fri, 19 Apr 2024 09:30:00 +0800

=== debian/control ===
Source: gbs
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper, dh-python, python3, python3-docutils, python3-setuptools, python3-distro
Standards-Version: 3.8.0
X-Python-Version: >= 3.0
Homepage: http://www.tizen.org

Package: gbs
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pycurl,
 python3-requests,
 python3-lxml,
 sudo,
 osc (>= 0.183.1),
 git-buildpackage-rpm (>= 0.9.36+tizen20240605),
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 gbs-remotebuild (= ${binary:Version}),
 gbs-bsr (= ${binary:Version}),
 depanneur (>= 0.16.26),
 librpm-tizen (>= 4.14.1.1.tizen20230628-20230828)
Description: Command line tools for Tizen package developers
 The command line tools for Tizen package developers will
 be used to do packaging related tasks.

Package: gbs-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pycurl,
 osc (>= 0.183.1),
 git-buildpackage-rpm
Conflicts: gbs (<< 2.0.4)
Replaces: gbs (<< 2.0.4)
Description: GBS API
 This package contains gbs APIs, which can be used by
 external software.

Package: gbs-export
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 gbs-api (= ${binary:Version}),
 pristine-tar (>= 1.35-tizen20161231),
 git-buildpackage-rpm
Conflicts: gbs (<< 2.0.4)
Replaces: gbs (<< 2.0.4)
Description: GBS export API
 This package contains gbs export APIs, which can be used by
 external software.

Package: gbs-remotebuild
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 gbs-api (= ${binary:Version}),
 gbs-export (= ${binary:Version}),
 git-buildpackage-rpm
Conflicts: gbs (<< 2.0.4)
Replaces: gbs (<< 2.0.4)
Description: GBS remotebuild API
 This package contains gbs remotebuild APIs, which can be used by
 external software.

Package: gbs-jenkins-jobs
Architecture: all
Depends: ${misc:Depends},
Description: GBS local full build jenkins jobs configurations.
 These jenkins jobs are used to build tizen source from scratch or only a part of packages, and create images finally.

Package: gbs-jenkins-scripts
Architecture: all
Depends: ${misc:Depends},
 gbs,
 mic,
Description: Jenkins scripts used by gbs-jenkins-job
 These scripts are used by GBS local full build jenkins jobs. These scripts should be installed on Jenkins slave nodes.

Package: gbs-bsr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-psutil,
 python3-yaml
Description: GBS build monitirong scripts
 This package monitors the build status and generates report using the relevant data.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
-	python setup.py install --root=debian/tmp --prefix=/usr
+	python3 setup.py install --root=debian/tmp --prefix=/usr
 	make man
-	cd bsr && python setup.py install --root=../debian/tmp --prefix=/usr && cd ..
+	cd bsr && python3 setup.py install --root=../debian/tmp --prefix=/usr/local && cd ..
 	mkdir -p debian/tmp/usr/share/man/man1
 	mkdir -p debian/tmp/usr/share/gbs
 	install -m644 docs/gbs.1 debian/tmp/usr/share/man/man1

## gbs 2.0.6

=== debian/changelog ===
gbs (2.0.6) unstable; urgency=high
  * upgrade to gbs v2.0.6, which contains the following features:
     * New feature and enhancements added:
      - Merge "Support AArch64 ILP32 architecture" into devel

 -- Md. Jobairul Hassan <jobairul.h@samsung.com>  Thu, 22 Jan 2026 11:00:00 +0600

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  gbs-export (= ${binary:Version}),
  gbs-remotebuild (= ${binary:Version}),
  gbs-bsr (= ${binary:Version}),
- depanneur (>= 0.16.26),
+ depanneur (>= 0.16.27),
  librpm-tizen (>= 4.14.1.1.tizen20230628-20230828)
 Description: Command line tools for Tizen package developers
  The command line tools for Tizen package developers will
@@ -32,8 +32,8 @@
  python3-pycurl,
  osc (>= 0.183.1),
  git-buildpackage-rpm
-Conflicts: gbs (<< 2.0.4)
-Replaces: gbs (<< 2.0.4)
+Conflicts: gbs (<< 2.0.5)
+Replaces: gbs (<< 2.0.5)
 Description: GBS API
  This package contains gbs APIs, which can be used by
  external software.
@@ -44,8 +44,8 @@
  gbs-api (= ${binary:Version}),
  pristine-tar (>= 1.35-tizen20161231),
  git-buildpackage-rpm
-Conflicts: gbs (<< 2.0.4)
-Replaces: gbs (<< 2.0.4)
+Conflicts: gbs (<< 2.0.5)
+Replaces: gbs (<< 2.0.5)
 Description: GBS export API
  This package contains gbs export APIs, which can be used by
  external software.
@@ -56,8 +56,8 @@
  gbs-api (= ${binary:Version}),
  gbs-export (= ${binary:Version}),
  git-buildpackage-rpm
-Conflicts: gbs (<< 2.0.4)
-Replaces: gbs (<< 2.0.4)
+Conflicts: gbs (<< 2.0.5)
+Replaces: gbs (<< 2.0.5)
 Description: GBS remotebuild API
  This package contains gbs remotebuild APIs, which can be used by
  external software.
